const path = require('path')

module.exports = {
  entry: {
    rrule: path.resolve(__dirname, '..', 'dist', 'esm', 'index.js'),
  },
  output: {
    filename: 'rrule.js',
    path: path.resolve(__dirname, '..', 'dist', 'es5'),
    library: 'rrule',
    libraryTarget: 'umd',
    globalObject: "typeof self !== 'undefined' ? self : this",
  },
  devtool: 'source-map',
  mode: 'production',
  resolve: {
    extensions: ['.js'],
  },
  optimization: {
    minimize: false,
  },
}
